'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const usePasswordInputContext = require('./use-password-input-context.cjs');
const useFieldContext = require('../field/use-field-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "password-input-input",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const passwordInput = usePasswordInputContext.usePasswordInputContext();
    const field = useFieldContext.useFieldContext();
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).input, vue.mergeProps(vue.unref(passwordInput).getInputProps(), {
        "aria-describedby": vue.unref(field)?.ariaDescribedby,
        "as-child": _ctx.asChild
      }), null, 16, ["aria-describedby", "as-child"]);
    };
  }
});

exports.default = _sfc_main;
