import { defineComponent, createBlock, openBlock, unref, mergeProps } from 'vue';
import { ark } from '../factory.js';
import { usePasswordInputContext } from './use-password-input-context.js';
import { useFieldContext } from '../field/use-field-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "password-input-input",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const passwordInput = usePasswordInputContext();
    const field = useFieldContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).input, mergeProps(unref(passwordInput).getInputProps(), {
        "aria-describedby": unref(field)?.ariaDescribedby,
        "as-child": _ctx.asChild
      }), null, 16, ["aria-describedby", "as-child"]);
    };
  }
});

export { _sfc_main as default };
