'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const index = require('../../node_modules/@zag-js/password-input/dist/index.cjs');
const vue$1 = require('@zag-js/vue');
const vue = require('vue');
const useEnvironmentContext = require('../../providers/environment/use-environment-context.cjs');
const useLocaleContext = require('../../providers/locale/use-locale-context.cjs');
const cleanProps = require('../../utils/clean-props.cjs');
const useFieldContext = require('../field/use-field-context.cjs');

const usePasswordInput = (props = {}, emit) => {
  const id = vue.useId();
  const env = useEnvironmentContext.useEnvironmentContext(useEnvironmentContext.DEFAULT_ENVIRONMENT);
  const locale = useLocaleContext.useLocaleContext(useLocaleContext.DEFAULT_LOCALE);
  const field = useFieldContext.useFieldContext();
  const context = vue.computed(() => {
    const localeProps = vue.toValue(props);
    return {
      id,
      ids: {
        input: field?.value.ids.control
      },
      disabled: field?.value.disabled,
      readOnly: field?.value.readOnly,
      required: field?.value.required,
      invalid: field?.value.invalid,
      dir: locale.value.dir,
      getRootNode: env?.value.getRootNode,
      ...cleanProps.cleanProps(localeProps),
      onVisibilityChange: (details) => {
        emit?.("visibilityChange", details);
        emit?.("update:visible", details.visible);
        localeProps.onVisibilityChange?.(details);
      }
    };
  });
  const service = vue$1.useMachine(index.machine, context);
  return vue.computed(() => index.connect(service, vue$1.normalizeProps));
};

exports.usePasswordInput = usePasswordInput;
