import { machine, connect } from '../../node_modules/@zag-js/password-input/dist/index.js';
import { useMachine, normalizeProps } from '@zag-js/vue';
import { useId, computed, toValue } from 'vue';
import { useEnvironmentContext, DEFAULT_ENVIRONMENT } from '../../providers/environment/use-environment-context.js';
import { useLocaleContext, DEFAULT_LOCALE } from '../../providers/locale/use-locale-context.js';
import { cleanProps } from '../../utils/clean-props.js';
import { useFieldContext } from '../field/use-field-context.js';

const usePasswordInput = (props = {}, emit) => {
  const id = useId();
  const env = useEnvironmentContext(DEFAULT_ENVIRONMENT);
  const locale = useLocaleContext(DEFAULT_LOCALE);
  const field = useFieldContext();
  const context = computed(() => {
    const localeProps = toValue(props);
    return {
      id,
      ids: {
        input: field?.value.ids.control
      },
      disabled: field?.value.disabled,
      readOnly: field?.value.readOnly,
      required: field?.value.required,
      invalid: field?.value.invalid,
      dir: locale.value.dir,
      getRootNode: env?.value.getRootNode,
      ...cleanProps(localeProps),
      onVisibilityChange: (details) => {
        emit?.("visibilityChange", details);
        emit?.("update:visible", details.visible);
        localeProps.onVisibilityChange?.(details);
      }
    };
  });
  const service = useMachine(machine, context);
  return computed(() => connect(service, normalizeProps));
};

export { usePasswordInput };
