'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const useTreeViewNodePropsContext = require('./use-tree-view-node-props-context.cjs');
const useTreeViewContext = require('./use-tree-view-context.cjs');
const useTreeViewNodeContext = require('./use-tree-view-node-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "tree-view-node-provider",
  props: {
    node: {},
    indexPath: {}
  },
  setup(__props) {
    const props = __props;
    const treeView = useTreeViewContext.useTreeViewContext();
    const nodeState = vue.computed(() => treeView.value.getNodeState(props));
    useTreeViewNodeContext.TreeViewNodeStateProvider(nodeState);
    useTreeViewNodePropsContext.TreeViewNodePropsProvider(props);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.renderSlot(_ctx.$slots, "default");
    };
  }
});

exports.default = _sfc_main;
