import { defineComponent, computed, renderSlot } from 'vue';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { TreeViewNodePropsProvider } from './use-tree-view-node-props-context.js';
import { useTreeViewContext } from './use-tree-view-context.js';
import { TreeViewNodeStateProvider } from './use-tree-view-node-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tree-view-node-provider",
  props: {
    node: {},
    indexPath: {}
  },
  setup(__props) {
    const props = __props;
    const treeView = useTreeViewContext();
    const nodeState = computed(() => treeView.value.getNodeState(props));
    TreeViewNodeStateProvider(nodeState);
    TreeViewNodePropsProvider(props);
    useForwardExpose();
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

export { _sfc_main as default };
