'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const vue = require('vue');
const createContext = require('../../utils/create-context.cjs');

const [EnvironmentContextProvider, useEnvironmentContext] = createContext.createContext("EnvironmentContext");
const DEFAULT_ENVIRONMENT = vue.computed(() => ({
  getRootNode: () => document,
  getDocument: () => document,
  getWindow: () => window
}));

exports.DEFAULT_ENVIRONMENT = DEFAULT_ENVIRONMENT;
exports.EnvironmentContextProvider = EnvironmentContextProvider;
exports.useEnvironmentContext = useEnvironmentContext;
